<TacticalQuery.SmallRetreatMovementsForShooting __id="5817bd15-e029-465a-a233-fd6885534118" __path="libs/foundry/records/tacticalquery/tpsqueries/groundcombatqueries/smallretreatmovementsforshooting.xml" __type="TacticalQuery" name="SmallRetreatMovementsForShooting" type="TacticalPointQuery">
  <options>
    <TQSEmbeddedOption __type="TQSOption" __polymorphicType="TQSEmbeddedOption">
      <content __type="TQSOptionContent">
        <conditions>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="isInNavigationMesh" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="min_distance_to_puppet" value="0.699999988079071">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="isPointReachable_from_puppet" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
          <TQSInputBoolValue __type="TQSInput" __polymorphicType="TQSInputBoolValue" condition="hasShootingPosture_to_attentionTarget" value="1">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputBoolValue>
        </conditions>
        <generation>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="grid_around_puppet" value="3.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
        </generation>
        <parameters>
          <TQSInputFloatValue __type="TQSInput" __polymorphicType="TQSInputFloatValue" condition="density" value="1.2000000476837158">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSInputFloatValue>
        </parameters>
        <weights>
          <TQSWeightInputValue __type="TQSWeightInput" __polymorphicType="TQSWeightInputValue" condition="distance_to_attentionTarget" weight="1.0">
            <overrides />
            <requirements __type="TagsDNF">
              <terms />
            </requirements>
          </TQSWeightInputValue>
        </weights>
      </content>
      <optionOverrides />
      <requirements __type="TagsDNF">
        <terms />
      </requirements>
    </TQSEmbeddedOption>
  </options>
</TacticalQuery.SmallRetreatMovementsForShooting>